将 GNOME 升级至 2.24

LiYanrui posted @ Sep 29, 2008 06:01:44 AM in GNU/Linux & Unix with tags gentoo gnome , 3827 阅读

今天上午,忙中偷闲,layman -a 了 gnome overlay,发现其中大部分软件包都已经呈现为 2.24 了,一时按捺不住,就开始升级。

首先解除了 Portage 中对 gtk+、glib、cairo、poppler 以及 poppler-bindings 这几个软件包的屏蔽,然后又化解了 pygtk 与 pyobject 冲突的问题,便可以进行升级了。

编译至 cairo 1.8.0 时,会出错,解决方法见:http://bugs.gentoo.org/show_bug.cgi?id=238849,要注意的就是按照他的那个解决方法,pango 的版本必须到 1.22.0。很不幸,现在 gnome overlay 中的 pango 还处于 1.21.6,估计是维护者还未来得及更新到最新版本,我直接将 1.21.6 版本的 ebuild 复制为 1.22.0 的,重新校验了一下 ebuild 文件,一切问题都解决了。我的 GNOME 是 light 版,此次升级的包大约有 40 多个,所以很快就完成了。

这次升级 GNOME,纯粹是为了升级而升级。本来期望它能如约为我们带来可以批注 PDF 的 Evince,但是很不幸,这一功能的实现又跳票到明年 3 月的 2.26 版本了。好在 Nautilus 具备了标签页功能,这是我唯一能找到的安慰。其它的“新功能”,对我而言一点意义也没有了。

不知怎的,我对 GNOME 越来越失望起来。其实,我知道我是没有资格对它失望,可是却不愿意虚伪地掩饰这种心态。或许,明年,我会选择一个轻量的窗口管理器,动机是这样的:即然 GNOME 不能给我所需要的,我也没必要忍受它给我的那些我不需要的。虽然失望,但是还是祝愿它越来越好。

TualatriX 说:
2008年9月29日 19:38

我昨天也试着升级了一下,不过Layman里的好像还没有准备好,很多包都没到2.24,再加上要Mask一些包,所以就没继续了。

请问一下Li Yanrui,你的Nautilus在我的电脑中会显示出其他未挂载的分区吗?

Avatar_small
Li Yanrui 说:
2008年9月29日 20:04

Nautilus 原来是可以显示其它未挂载分区,而且也可以显示插入的 usb 设备。后来 hal 升级了一次,两个功能都不行了。再后来,hal 又升级了一次,usb 设备可以显示了,但分区还不可以。

现在,如果手动挂载分区,可以在 Nautilus Computers 中显示,估计在 /etc/fstab 里去设置,也是可以显示于 Nautilus 中的。我没尝试过,因为基本上没这种需求。偶而为之,就手动挂一下了。

其实,我很欣赏现在的状态,这样可以让我的 Places 菜单更清洁一些 :D

Head_small
邱焜 说:
2008年10月08日 04:48

awesome吧,毕竟你能操纵脚本

Avatar_small
Li Yanrui 说:
2008年10月09日 21:09

:( 现在不是很愿意在桌面/窗口管理器上折腾了


登录 *


loading captcha image...
(输入验证码)
or Ctrl+Enter